Bug 8487 - Insufficient dependencies
: Insufficient dependencies
Status: CLOSED NOTABUG
: Sisyphus
(All bugs in Sisyphus/wxGTK2u-devel)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-11-14 02:09 by
Modified: 2009-05-10 09:32 (History)


Attachments
+Requires: libpango-devel (788 bytes, patch)
2009-03-26 12:13, Michael Shigorin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-11-14 02:09:02
В зависимостях пакета wxGTK2u-devel не хватает пакета pango-devel. Основание:
вывод wx-config --libs.
------- Comment #1 From 2005-12-21 10:37:36 -------
Это вы про  
-lpangox-1.0  
 
А зачем он кстати в выводе --libs? Он ж и так слинкуется по 
$ ldd /usr/lib/libwx_gtk2u_core-2.6.so.0 | grep pango 
libpangox-1.0.so.0 => /usr/lib/libpangox-1.0.so.0 (0x40313000) 
------- Comment #2 From 2006-01-03 18:09:38 -------
Не знаю, зачем он в выводе --libs, но он там есть :)
------- Comment #3 From 2009-03-26 12:13:51 -------
Created an attachment (id=3397) [details]
+Requires: libpango-devel

2 algor: для удобства вот spec patch.
------- Comment #4 From 2009-03-26 12:22:54 -------
Я уже не помню, из-за чего я повесил этот баг, впрочем. Но случай интересный,
впору в devel@ обсудить.
------- Comment #5 From 2009-03-26 12:31:02 -------
Хотя обсуждать на самом деле нечего особо, эти зависимости у нас теперь
автоматически строятся, и если всё работает, то пусть работает дальше.
------- Comment #6 From 2009-03-26 14:01:48 -------
(В ответ на комментарий №5)
> Хотя обсуждать на самом деле нечего особо, эти зависимости у нас теперь
> автоматически строятся, и если всё работает, то пусть работает дальше.

более того, ты теперь leader у claws-mail :) отдал бонусом к gmpc.
------- Comment #7 From 2009-03-26 14:13:29 -------
Это уже оффтопик, но можно мне всё-таки права выдать на плагины к gmpc на 5.0?
А то у меня таск висит уже с не помню когда...